Subject: Re: smp_affinity, MSI-X and 2.6.21.1

From: Andi Kleen <[email-masked]>
Date: 09 May 2007 12:35:29 +0200

Rick Jones <[email-masked]> writes:

> Folks -
> 
> Is it a bug, or a feature that after changing a device's smp_affinity
> via echo "N" >> /proc/irq/M/smp_affinity that the new mask isn't
> visible via cat /proc/irq/M/smp_affinity until after actual interrupts
> are taken?

Intel chipsets can only safely update affinity during interrupt processing.
You see a side effect of the code implementing this restriction.

-Andi